Subject: RE: [lemonade] IMAP Channel draft updates

From: Erev Ari <[email-masked]>
Date: Sun, 7 Sep 2003 09:36:53 +0300

Lyndon,

It would be nice IMHO if the protocol schemes supported would have an
indication whether the protocol supported is a "push" or "pull" type.
For example, when announcing support for FTP, the IMAP server may want to
announce that the message can be retrieved (pull model) with FTP, or -
another scenario - that the server is ready to send the message (push model)
using ftp.

Regards,
Ari Erev

> -----Original Message-----
> From: Lyndon Nerenberg [mailto:[email-masked]]
> Sent: Friday, September 05, 2003 3:48 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [lemonade] IMAP Channel draft updates
> 
> 
> Folks, I'm preparing an update to the Channel draft. The two 
> major changes
> are:
> 
> 1) Split the core protocol specification off into its own 
> document again,
>    and
> 
> 2) Change the Capability token from Channel=xxx,yyy to just Channel.
> 
> In support of (2) I will be adding a new parameter to the 
> Channel command
> that will allow clients to discover the list of supported schemes.
> 
> Anyone with suggestions or updates for the draft should send 
> them along
> within the next week or so (to me directly, and feel free to 
> CC the lists
> as you see fit).
> 
> --lyndon
> 
> _______________________________________________
> lemonade mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/lemonade
>

---

From: Lyndon Nerenberg <[email-masked]>
Date: Tue, 9 Sep 2003 17:47:36 -0600 (MDT)

> indication whether the protocol supported is a "push" or "pull" type.

I'm not sure this is a good idea. It requires the IMAP server to have
knowledge of the external service provider, which places an implementation
burden on the IMAP server -- it forces a much tighter coupling between the
two.

Push vs. pull is really an attribute of the scheme itself. IMAP itself
shouldn't be announcing these sorts of attributes, and in many cases it
won't know what they are, anyway.

If a client wants a push, it can just issue the command. If that fails, it
can re-issue the request as a pull. Or pull and fall back to push. Or fall
back to a different scheme.

--lyndon